package cz.uhk.mikesji3.centrality.measures;

import edu.uci.ics.jung.graph.Graph;

public class DegreeC extends AbstractMeasure implements IMeasure{

	public DegreeC(Graph<Integer, Integer> g) {
		super(g);
	}

	public void calculate() {
		for (int i = 0; i < vertices.size(); i++) {
			float centrality = (float)g.getNeighborCount(vertices.get(i).getId());
			vertices.get(i).setCentrality(centrality, 0); //0 = degree
		}
	}
}
