package cz.uhk.mikesji3.centrality.model;

public class Vertex {
	int id;
	
	//0 - degree, 1 - closeness, 2 - betweenness, 3 - eigenvector, 4 - katz
	float[] centrality;
	int[] rank;
	
	public Vertex(int id){
		this.id=id;
		centrality = new float[5];
		rank = new int[5];
	}

	public float getCentrality(int type) {
		return centrality[type];
	}

	public void setCentrality(float centrality,int type) {
		this.centrality[type] = centrality;
	}

	public int getRank(int type) {
		return rank[type];
	}

	public void setRank(int rank, int type) {
		this.rank[type] = rank;
	}

	public int getId() {
		return id;
	}
	
	
}
